Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1273141 - Review Request: nodejs-sprintf-js - JavaScript sprintf implementation
Summary: Review Request: nodejs-sprintf-js - JavaScript sprintf implementation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews Node-RED 1170998
TreeView+ depends on / blocked
 
Reported: 2015-10-19 18:15 UTC by Jared Smith
Modified: 2016-10-21 08:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-04 20:03:16 UTC
tom: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2015-10-19 18:15:49 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-sprintf-js/nodejs-sprintf-js.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-sprintf-js/nodejs-sprintf-js-1.0.3-1.fc23.src.rpm
Description: JavaScript sprintf implementation
Fedora Account System Username: jsmith

Comment 2 Tom Hughes 2015-10-20 18:16:00 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 15 files have unknown
     license. Detailed output of licensecheck in /home/tom/1273141-nodejs-
     sprintf-js/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-sprintf-js-1.0.3-2.fc24.noarch.rpm
          nodejs-sprintf-js-1.0.3-2.fc24.src.rpm
nodejs-sprintf-js.noarch: W: only-non-binary-in-usr-lib
nodejs-sprintf-js.src: W: invalid-url Source1: tests-1.0.3.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-sprintf-js.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-sprintf-js (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)



Provides
--------
nodejs-sprintf-js:
    nodejs-sprintf-js
    npm(sprintf-js)



Source checksums
----------------
https://registry.npmjs.org/sprintf-js/-/sprintf-js-1.0.3.tgz :
  CHECKSUM(SHA256) this package     : 3afb26bcc328dc90f516515acf2783ad35b08dbfe9e0ada18264c3c4ddaa1a83
  CHECKSUM(SHA256) upstream package : 3afb26bcc328dc90f516515acf2783ad35b08dbfe9e0ada18264c3c4ddaa1a83


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1273141
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Tom Hughes 2015-10-20 18:18:05 UTC
Tests are already in the npmjs tar ball so there doesn't seem to be any need for the extra file.

You also need to consider what you're packaging - you are including gruntfile.js (a build tool) but not the src directory, which includes the actual main entry point declared in package.json.

If dist is going to be included then uglify should probably be run in %build to build it from src.

Comment 4 Tom Hughes 2015-12-05 10:43:20 UTC
This is required for the new argparse that you pushed yesterday, so we need to get this sorted...

The minimal packaging is just to package package.json and src. That works for node, but if you want the browser version as well then run uglify to build dist and ship that as a js- package.

Comment 5 Upstream Release Monitoring 2015-12-05 10:47:30 UTC
tomh's scratch build of nodejs-sprintf-js-1.0.3-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12066972

Comment 6 Jared Smith 2015-12-05 15:39:00 UTC
Ooops, sorry about that -- that's what I get for rushing again :-(

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-sprintf-js/nodejs-sprintf-js.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-sprintf-js/nodejs-sprintf-js-1.0.3-3.fc24.src.rpm

Comment 7 Tom Hughes 2015-12-05 15:52:40 UTC
If we're going to ship the contents of dist then I think it should be in a js-sprint-js package following the javascript guidelines, with dist as a link if you want (in case a node module tries to serve up js from there to a browser).

Comment 8 Jared Smith 2015-12-05 16:33:06 UTC
In the interest of time, I'll just eliminate the dist/ directory -- it can easily be made into another (sub-)package at a future date if needed.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-sprintf-js/nodejs-sprintf-js.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-sprintf-js/nodejs-sprintf-js-1.0.3-4.fc24.src.rpm

Comment 9 Tom Hughes 2015-12-06 10:28:26 UTC
That looks good now, so package approved.

Comment 10 Till Maas 2015-12-06 15:37:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-sprintf-js

Comment 11 Fedora Update System 2015-12-07 18:03:37 UTC
nodejs-sprintf-js-1.0.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-665b468f06

Comment 12 Fedora Update System 2015-12-07 18:04:17 UTC
nodejs-sprintf-js-1.0.3-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-93417b8d40

Comment 13 Fedora Update System 2015-12-07 18:06:28 UTC
nodejs-sprintf-js-1.0.3-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2e5d58c3ee

Comment 14 Fedora Update System 2015-12-07 18:06:56 UTC
nodejs-sprintf-js-1.0.3-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cfdea52c51

Comment 15 Fedora Update System 2015-12-08 07:19:41 UTC
nodejs-sprintf-js-1.0.3-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-sprintf-js'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cfdea52c51

Comment 16 Fedora Update System 2015-12-08 07:21:02 UTC
nodejs-sprintf-js-1.0.3-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-sprintf-js'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2e5d58c3ee

Comment 17 Fedora Update System 2015-12-08 22:58:42 UTC
nodejs-sprintf-js-1.0.3-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-sprintf-js'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-665b468f06

Comment 18 Fedora Update System 2015-12-08 23:51:58 UTC
nodejs-sprintf-js-1.0.3-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-sprintf-js'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-93417b8d40


Note You need to log in before you can comment on or make changes to this bug.